#include <iostream>
#include <cstdio>

using namespace std;

int main() {
    string broj;
    string broj2;
    cin >> broj;
    cin >> broj2;
    if (broj[0]>broj2[0])cout<<broj[0];
    if (broj[0]==broj2[0])cout<<broj[0]<<broj[0];
	if (broj[0]<broj2[0])cout<<broj2[0];
    if (broj[1]>broj2[1])cout<<broj[1];
    if (broj[1]==broj2[1])cout<<broj[1]<<broj[1];
    if (broj[1]<broj2[1])cout<<broj2[1];
    if (broj[2]>broj2[2])cout<<broj[2];
    if (broj[2]==broj2[2])cout<<broj[2]<<broj[2];
    if (broj[2]<broj2[2])cout<<broj2[2];
    if (broj[3]>broj2[3])cout<<broj[3];
    if (broj[3]==broj2[3])cout<<broj[3]<<broj[3];
    if (broj[3]<broj2[3])cout<<broj2[3];
    return 0;
}